import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.edu.evaluation.topic.category.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.edu.evaluation.topic.category.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.edu.evaluation.topic.category.doDelete,
    method: 'post',
    data,
  })
}

export function getCategoryAndTopicNum(params) {
  return request({
    url: URL.edu.evaluation.topic.category.getCategoryAndTopicNum,
    method: 'get',
    params,
  })
}
